Object.defineProperty(exports, "__esModule", { value: true });
var content_view_1 = require("tns-core-modules/ui/content-view");
var view_1 = require("tns-core-modules/ui/core/view");
var callback_1 = require("./callback");
var SwipeDismissLayout = (function (_super) {
    __extends(SwipeDismissLayout, _super);
    function SwipeDismissLayout() {
        return _super.call(this) || this;
    }
    Object.defineProperty(SwipeDismissLayout.prototype, "android", {
        get: function () {
            return this._android;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SwipeDismissLayout.prototype, "swipeable", {
        get: function () {
            return this._android.isSwipeable();
        },
        set: function (value) {
            this._android.setSwipeable(value);
        },
        enumerable: true,
        configurable: true
    });
    SwipeDismissLayout.prototype.createNativeView = function () {
        this._android = new androidx.wear.widget.SwipeDismissFrameLayout(this._context);
        this._holder = new android.widget.LinearLayout(this._context);
        if (!this._androidViewId) {
            this._androidViewId = android.view.View.generateViewId();
        }
        this._android.setId(this._androidViewId);
        this._holder.setOrientation(android.widget.LinearLayout.VERTICAL);
        this._holder.setGravity(android.view.Gravity.FILL_VERTICAL);
        this._holder.setLayoutParams(new android.view.ViewGroup.LayoutParams(android.view.ViewGroup.LayoutParams.FILL_PARENT, android.view.ViewGroup.LayoutParams.FILL_PARENT));
        this._android.addView(this._holder);
        return this._android;
    };
    SwipeDismissLayout.prototype.initNativeView = function () {
        _super.prototype.initNativeView.call(this);
        this._callback = new callback_1.TNS_SwipeDismissFrameLayoutCallback(new WeakRef(this));
        this._android.addCallback(this._callback);
    };
    SwipeDismissLayout.prototype.disposeNativeView = function () {
        _super.prototype.disposeNativeView.call(this);
    };
    SwipeDismissLayout.prototype.onLoaded = function () {
        _super.prototype.onLoaded.call(this);
        if (this._content.nativeView.getParent() != null) {
            this._content.nativeView.getParent().removeView(this._content.nativeView);
        }
        this._holder.addView(this._content.nativeView);
    };
    Object.defineProperty(SwipeDismissLayout.prototype, "_childrenCount", {
        get: function () {
            return this._content ? 1 : 0;
        },
        enumerable: true,
        configurable: true
    });
    SwipeDismissLayout.prototype._onContentChanged = function (oldView, newView) {
    };
    SwipeDismissLayout.prototype._addChildFromBuilder = function (name, value) {
        if (value instanceof view_1.View) {
            this.content = value;
        }
    };
    SwipeDismissLayout.prototype.eachChildView = function (callback) {
        var content = this._content;
        if (content) {
            callback(content);
        }
    };
    SwipeDismissLayout.dimissedEvent = 'dismissed';
    SwipeDismissLayout.swipeCanceledEvent = 'swipeCanceled';
    SwipeDismissLayout.swipeStartedEvent = 'swipeStarted';
    return SwipeDismissLayout;
}(content_view_1.ContentView));
exports.SwipeDismissLayout = SwipeDismissLayout;
