Object.defineProperty(exports, "__esModule", { value: true });
var app = require("tns-core-modules/application");
var utils_1 = require("tns-core-modules/utils/utils");
var CONFIRMATION_ACTIVITY_REQUEST_CODE = 5673;
function showConfirmationActivity(message, type) {
    return new Promise(function (resolve, reject) {
        try {
            var activityType = _getActivityType(type);
            var intent = new android.content.Intent(utils_1.ad.getApplicationContext(), android.support.wearable.activity.ConfirmationActivity.class);
            intent.putExtra(android.support.wearable.activity.ConfirmationActivity
                .EXTRA_ANIMATION_TYPE, activityType);
            intent.putExtra(android.support.wearable.activity.ConfirmationActivity.EXTRA_MESSAGE, message);
            app.android.on(app.AndroidApplication.activityResultEvent, function (args) {
                if (args.requestCode === CONFIRMATION_ACTIVITY_REQUEST_CODE &&
                    args.resultCode === android.app.Activity.RESULT_OK) {
                    var intentData = args.intent;
                    resolve(intentData);
                }
            });
            var activity = app.android.foregroundActivity || app.android.startActivity;
            activity.startActivityForResult(intent, CONFIRMATION_ACTIVITY_REQUEST_CODE);
        }
        catch (error) {
            reject(error);
        }
    });
}
exports.showConfirmationActivity = showConfirmationActivity;
var ConfirmationActivityType;
(function (ConfirmationActivityType) {
    ConfirmationActivityType["SUCCESS"] = "SUCCESS";
    ConfirmationActivityType["FAILURE"] = "FAILURE";
    ConfirmationActivityType["OPEN_ON_PHONE"] = "OPEN_ON_PHONE";
})(ConfirmationActivityType = exports.ConfirmationActivityType || (exports.ConfirmationActivityType = {}));
function _getActivityType(type) {
    switch (type) {
        case ConfirmationActivityType.SUCCESS:
            return android.support.wearable.activity.ConfirmationActivity
                .SUCCESS_ANIMATION;
        case ConfirmationActivityType.FAILURE:
            return android.support.wearable.activity.ConfirmationActivity
                .FAILURE_ANIMATION;
        case ConfirmationActivityType.OPEN_ON_PHONE:
            return android.support.wearable.activity.ConfirmationActivity
                .OPEN_ON_PHONE_ANIMATION;
        default:
            return android.support.wearable.activity.ConfirmationActivity
                .SUCCESS_ANIMATION;
    }
}
